Websites

Get website

GET
/websites/{website_id}

One website of the project with its live progress; the polling target of the detail page. Its scrape jobs are listed by GET /jobs/scraping.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

An API key

Path Parameters

website_id*string

Query Parameters

project_id*string

Response Body

Successful Response

application/json
  1. response

One website of a project with the job that defines its state.

website_id*string
domain*string
url*string
project_id*string
job?||null
challenge?string|null
full_scrape_estimate?|

Price of a full scrape now. The API calculates it at each request from the latest product count of the website.

added_at?|null
scraped_at?|null
curl -X GET 'https://api.deepscout.ai/v1/websites/string?project_id=string'
{  "website_id": "string",  "domain": "string",  "url": "string",  "project_id": "string",  "job": {    "job_id": "string",    "job_type": "WEBSITE_SETUP",    "status": "CREATED",    "project_id": "string",    "website_id": "string",    "estimate": {      "currency": "string",      "unit_price_per_1000": "12.68",      "quantity": 0,      "total": "12.68",      "cap": "12.68",      "min_charge": "12.68",      "difficulty": "EASY",      "input_products": 0    },    "approval": {      "approved_by": "string",      "approved_at": "2026-09-16T12:30:00.000Z"    },    "settlement": {      "quantity": 0,      "currency": "string",      "amount": "12.68",      "capped": true,      "settled_at": "2026-09-16T12:30:00.000Z"    },    "error": "string",    "error_code": "WEBSITE_TOO_LARGE",    "contact_reason": "WEBSITE_TOO_LARGE",    "contact_request_id": "string",    "created_at": "2026-09-16T12:30:00.000Z",    "updated_at": "2026-09-16T12:30:00.000Z",    "finished_at": "2026-09-16T12:30:00.000Z",    "url": "string",    "country": "string",    "currency": "string",    "analysis_progress": {      "config": {        "state": "RUNNING"      },      "homepage": {        "state": "RUNNING"      },      "sitemap": {        "state": "RUNNING"      },      "size": {        "state": "RUNNING"      },      "sitemap_size": 0,      "is_ecommerce": true,      "product_type": "string",      "language": "string",      "products_estimate": 0    },    "train_progress": {      "pages": 0,      "pages_limit": 0,      "pages_estimate": 0,      "phase": "COLLECTING_PAGES",      "percent": 0    }  },  "challenge": "string",  "full_scrape_estimate": {    "currency": "string",    "unit_price_per_1000": "12.68",    "quantity": 0,    "total": "12.68",    "cap": "12.68",    "min_charge": "12.68",    "difficulty": "EASY",    "input_products": 0  },  "added_at": "2026-09-16T12:30:00.000Z",  "scraped_at": "2026-09-16T12:30:00.000Z"}